Bug #1986

Updated by nant almost 3 years ago

Hi all,

I have this work sitting around for a (very) long time and wanted to
ask for review. This basically connects some of the netgraph7 modules
to the build and make them actually compile. In order to select
between the legacy netgraph infrastructure and netgraph7 one has to
define the make variable WANT_NETGRAPH7. The default is still legacy
netgraph. When sufficient netgraph7 modules have been integrated, this
can actually be tested with mpd5. Right now, it is only compile
tested.
If the review is positive I would like to commit it sometime in the future.

The work is here:
http://gitweb.dragonflybsd.org/~nant/dragonfly.git/shortlog/refs/heads/netgraph7

Thanks
Nuno

Back